Updates a DeviceApplication.
| Name | Description | Additional information |
|---|---|---|
| deviceId |
Define this parameter in the request URI. |
|
| applicationId |
Define this parameter in the request URI. |
|
| deviceApplicationRepresentation |
Define this parameter in the request body. |
{
"deviceId": "8ee3dcc0-1a1f-4688-9c96-445476295f8e",
"applicationId": "e13ab2fa-166d-4606-8cd2-1e40ba265ac5",
"isLicensed": true,
"createdDateUtc": "2026-11-13T23:59:41.4127076+00:00",
"updatedDateUtc": "2026-11-13T23:59:41.4127076+00:00"
}
<DeviceApplicationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1"> <CreatedDateUtc>2026-11-13T23:59:41.4127076+00:00</CreatedDateUtc> <UpdatedDateUtc>2026-11-13T23:59:41.4127076+00:00</UpdatedDateUtc> <ApplicationId>e13ab2fa-166d-4606-8cd2-1e40ba265ac5</ApplicationId> <DeviceId>8ee3dcc0-1a1f-4688-9c96-445476295f8e</DeviceId> <IsLicensed>true</IsLicensed> </DeviceApplicationRepresentation>
Sample not available.